1 |
commit: 7eda520c7f6c685d80118cdff6fc3ba7d684fac3 |
2 |
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org> |
3 |
AuthorDate: Fri Feb 2 09:26:53 2018 +0000 |
4 |
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org> |
5 |
CommitDate: Fri Feb 2 09:27:45 2018 +0000 |
6 |
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7eda520c |
7 |
|
8 |
dev-vcs/mercurial: Bump to version 4.5 |
9 |
|
10 |
Package-Manager: Portage-2.3.23, Repoman-2.3.6 |
11 |
|
12 |
dev-vcs/mercurial/Manifest | 1 + |
13 |
dev-vcs/mercurial/mercurial-4.5.ebuild | 134 +++++++++++++++++++++++++++++++++ |
14 |
2 files changed, 135 insertions(+) |
15 |
|
16 |
diff --git a/dev-vcs/mercurial/Manifest b/dev-vcs/mercurial/Manifest |
17 |
index f06ed9eff95..f8770b3720b 100644 |
18 |
--- a/dev-vcs/mercurial/Manifest |
19 |
+++ b/dev-vcs/mercurial/Manifest |
20 |
@@ -2,3 +2,4 @@ DIST mercurial-4.3.3.tar.gz 5491634 BLAKE2B becfe01fb52af6047d570d2b8a674204f5e6 |
21 |
DIST mercurial-4.3.tar.gz 5469979 BLAKE2B 5a0df1bce4b3343a9101b634aed44c7ab3af5ed9a07883b20f87829bedd5abdae92b476a3d108a9ccf093dad18f7c82b36d5d6a6622346e156bca6dcbaeb3c9a SHA512 d74ae5f35d8c415c07737b59e6c5455963dfbf5d038c43d683fd34dd84423b9ccf9cd670667f458db20d8580fc7c7d9e5609d29d990e1e94683734694211c417 |
22 |
DIST mercurial-4.4.1.tar.gz 5636532 BLAKE2B 07b91da192db30a925bd9798c5d6ab02336501c04f9d65bb9042786c2f5e6f8c16f6ebe6817f68ac746c21f79e39dbb8284b7590063d7a6ef615a8e2b6dbe821 SHA512 4c87adb6d3d30f7f9211eee64df727aefdac246be3ca9e3af412b76c32b76d701b19e00ca339168446ee5e20fad2ffc24f0c87438b6bda954560108235ab14a8 |
23 |
DIST mercurial-4.4.2.tar.gz 5647013 BLAKE2B 3663517e5e53525e50852fd4941f7c71cc446fcc1255ed09d3e8375fcc14aea01f00e4c05a1cda2876d96b4f935b0d5e3d887567bc62c9c4629954b2cef8617f SHA512 3d1d103689eac4f50cc1005be44144b37d75ebfac3ff3b4fc90d6f41fbee46e107a168d04f2c366ce7cca2733ea4e5b5127df462af8e253f61a72f8938833993 |
24 |
+DIST mercurial-4.5.tar.gz 5876130 BLAKE2B aaf4bae584639fad5c7a5cf4df183f2c4f78be759e4cea911520f4447fb931f34ecdde81b2426cbc714c63d3d48f804c86a82a766d4d49abbfd9c5136c090094 SHA512 5d1192d96432f4d5de6548553260d1a32ffb7786ef5f982485c74a7c389fa55fb3a1f17765ce641a82958c65a29288657aaac9d465b6382913d27e70e0d5c941 |
25 |
|
26 |
diff --git a/dev-vcs/mercurial/mercurial-4.5.ebuild b/dev-vcs/mercurial/mercurial-4.5.ebuild |
27 |
new file mode 100644 |
28 |
index 00000000000..55a97bb048e |
29 |
--- /dev/null |
30 |
+++ b/dev-vcs/mercurial/mercurial-4.5.ebuild |
31 |
@@ -0,0 +1,134 @@ |
32 |
+# Copyright 1999-2018 Gentoo Foundation |
33 |
+# Distributed under the terms of the GNU General Public License v2 |
34 |
+ |
35 |
+EAPI=6 |
36 |
+ |
37 |
+PYTHON_COMPAT=( python2_7 ) |
38 |
+PYTHON_REQ_USE="threads" |
39 |
+ |
40 |
+inherit bash-completion-r1 elisp-common eutils distutils-r1 flag-o-matic |
41 |
+ |
42 |
+DESCRIPTION="Scalable distributed SCM" |
43 |
+HOMEPAGE="https://www.mercurial-scm.org/" |
44 |
+SRC_URI="https://www.mercurial-scm.org/release/${P}.tar.gz" |
45 |
+ |
46 |
+LICENSE="GPL-2+" |
47 |
+SLOT="0" |
48 |
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris" |
49 |
+IUSE="bugzilla emacs gpg test tk" |
50 |
+ |
51 |
+RDEPEND="bugzilla? ( dev-python/mysql-python[${PYTHON_USEDEP}] ) |
52 |
+ gpg? ( app-crypt/gnupg ) |
53 |
+ tk? ( dev-lang/tk ) |
54 |
+ app-misc/ca-certificates" |
55 |
+DEPEND="emacs? ( virtual/emacs ) |
56 |
+ test? ( app-arch/unzip |
57 |
+ dev-python/pygments[${PYTHON_USEDEP}] )" |
58 |
+ |
59 |
+SITEFILE="70${PN}-gentoo.el" |
60 |
+ |
61 |
+PATCHES=( "${FILESDIR}/${PN}-3.0.1-po_fixes.patch" ) |
62 |
+ |
63 |
+python_prepare_all() { |
64 |
+ # fix up logic that won't work in Gentoo Prefix (also won't outside in |
65 |
+ # certain cases), bug #362891 |
66 |
+ sed -i -e 's:xcodebuild:nocodebuild:' setup.py || die |
67 |
+ |
68 |
+ distutils-r1_python_prepare_all |
69 |
+} |
70 |
+ |
71 |
+python_configure_all() { |
72 |
+ strip-flags -ftracer -ftree-vectorize |
73 |
+ # Note: make it impl-conditional if py3 is supported |
74 |
+ append-flags -fno-strict-aliasing |
75 |
+ |
76 |
+ "${PYTHON}" setup.py build_mo || die |
77 |
+} |
78 |
+ |
79 |
+python_compile_all() { |
80 |
+ rm -r contrib/{win32,macosx} || die |
81 |
+ if use emacs; then |
82 |
+ cd contrib || die |
83 |
+ elisp-compile mercurial.el || die "elisp-compile failed!" |
84 |
+ fi |
85 |
+} |
86 |
+ |
87 |
+python_install_all() { |
88 |
+ distutils-r1_python_install_all |
89 |
+ |
90 |
+ newbashcomp contrib/bash_completion hg |
91 |
+ |
92 |
+ insinto /usr/share/zsh/site-functions |
93 |
+ newins contrib/zsh_completion _hg |
94 |
+ |
95 |
+ rm -f doc/*.?.txt |
96 |
+ dodoc CONTRIBUTORS |
97 |
+ cp hgweb*.cgi "${ED}"/usr/share/doc/${PF}/ || die |
98 |
+ |
99 |
+ dobin hgeditor |
100 |
+ dobin contrib/hgk |
101 |
+ python_foreach_impl python_doscript contrib/hg-ssh |
102 |
+ |
103 |
+ if use emacs; then |
104 |
+ elisp-install ${PN} contrib/mercurial.el* || die "elisp-install failed!" |
105 |
+ elisp-site-file-install "${FILESDIR}"/${SITEFILE} |
106 |
+ fi |
107 |
+ |
108 |
+ local RM_CONTRIB=(hgk hg-ssh bash_completion zsh_completion wix buildrpm plan9 |
109 |
+ *.el mercurial.spec) |
110 |
+ for f in ${RM_CONTRIB[@]}; do |
111 |
+ rm -r contrib/$f || die |
112 |
+ done |
113 |
+ |
114 |
+ dodoc -r contrib |
115 |
+ docompress -x /usr/share/doc/${PF}/contrib |
116 |
+ doman doc/*.? |
117 |
+ |
118 |
+ insinto /etc/mercurial/hgrc.d |
119 |
+ doins "${FILESDIR}/cacerts.rc" |
120 |
+} |
121 |
+ |
122 |
+src_test() { |
123 |
+ pushd tests &>/dev/null || die |
124 |
+ rm -rf *svn* # Subversion tests fail with 1.5 |
125 |
+ rm -f test-archive* # Fails due to verbose tar output changes |
126 |
+ rm -f test-convert-baz* # GNU Arch baz |
127 |
+ rm -f test-convert-cvs* # CVS |
128 |
+ rm -f test-convert-darcs* # Darcs |
129 |
+ rm -f test-convert-git* # git |
130 |
+ rm -f test-convert-mtn* # monotone |
131 |
+ rm -f test-convert-tla* # GNU Arch tla |
132 |
+ #rm -f test-doctest* # doctest always fails with python 2.5.x |
133 |
+ rm -f test-largefiles* # tends to time out |
134 |
+ |
135 |
+ popd &>/dev/null || die |
136 |
+ distutils-r1_src_test |
137 |
+} |
138 |
+ |
139 |
+python_test() { |
140 |
+ local TEST_DIR |
141 |
+ |
142 |
+ rm -rf "${TMPDIR}"/test |
143 |
+ distutils_install_for_testing |
144 |
+ cd tests || die |
145 |
+ "${PYTHON}" run-tests.py --verbose \ |
146 |
+ --tmpdir="${TMPDIR}"/test \ |
147 |
+ --with-hg="${TEST_DIR}"/scripts/hg \ |
148 |
+ || die "Tests fail with ${EPYTHON}" |
149 |
+} |
150 |
+ |
151 |
+pkg_postinst() { |
152 |
+ use emacs && elisp-site-regen |
153 |
+ |
154 |
+ elog "If you want to convert repositories from other tools using convert" |
155 |
+ elog "extension please install correct tool:" |
156 |
+ elog " dev-vcs/cvs" |
157 |
+ elog " dev-vcs/darcs" |
158 |
+ elog " dev-vcs/git" |
159 |
+ elog " dev-vcs/monotone" |
160 |
+ elog " dev-vcs/subversion" |
161 |
+} |
162 |
+ |
163 |
+pkg_postrm() { |
164 |
+ use emacs && elisp-site-regen |
165 |
+} |